import { Component, Input, OnInit } from '@angular/core';
import { UserService } from '../../../../../services/user.service';
import { ToastrService } from 'ngx-toastr';

@Component({
  selector: 'app-profile-picture',
  standalone: false,
  templateUrl: './profile-picture.component.html',
  styleUrl: './profile-picture.component.scss'
})
export class ProfilePictureComponent implements OnInit {
  @Input("username") public username!: string;
  public url?: string;

  constructor(private userService: UserService, private toastrService: ToastrService) { }

  ngOnInit(): void {
    this.userService.GetProfilePictureURL(this.username)
      .subscribe({
        next: url => this.url = url,
        error: _ => {
          this.toastrService.error("failed to fetch user info", "Error")
        }
      });
  }
}
